--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/user/group/perms.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/user/group/perms.php	2025-06-27 11:43:58.059157000 +0000
@@ -54,7 +54,6 @@
 $confirm = GETPOST('confirm', 'alpha');
 $module = GETPOST('module', 'alpha');
 $rights = GETPOSTINT('rights');
-$updatedmodulename = GETPOST('updatedmodulename', 'alpha');
 $contextpage = GETPOST('contextpage', 'aZ') ? GETPOST('contextpage', 'aZ') : 'groupperms'; // To manage different context of search
 
 if (!isset($id) || empty($id)) {
@@ -225,7 +224,6 @@
 
 	dol_banner_tab($object, 'id', $linkback, $user->hasRight("user", "user", "read") || $user->admin);
 
-
 	print '<div class="fichehalfleft">';
 
 	print '<div class="underbanner clearboth"></div>';
@@ -266,7 +264,6 @@
 
 	print '<br>';
 
-
 	if ($user->admin) {
 		print info_admin($langs->trans("WarningOnlyPermissionOfActivatedModules"));
 		print '<br>';
@@ -285,14 +282,16 @@
 	print '<td>'.$langs->trans("Module").'</td>';
 	if ($permissiontoedit) {
 		print '<td class="center nowrap">';
-		print '<a class="reposition commonlink addexpandedmodulesinparamlist" title="'.dol_escape_htmltag($langs->trans("All")).'" alt="'.dol_escape_htmltag($langs->trans("All")).'" href="'.$_SERVER["PHP_SELF"].'?id='.$object->id.'&action=addrights&token='.newToken().'&entity='.$entity.'&module=allmodules&confirm=yes">'.$langs->trans("All")."</a>";
+		print '<a class="reposition commonlink" title="'.dol_escape_htmltag($langs->trans("All")).'" alt="'.dol_escape_htmltag($langs->trans("All")).'" href="'.$_SERVER["PHP_SELF"].'?id='.$object->id.'&action=addrights&token='.newToken().'&entity='.$entity.'&module=allmodules&confirm=yes">'.$langs->trans("All")."</a>";
 		print '/';
-		print '<a class="reposition commonlink addexpandedmodulesinparamlist" title="'.dol_escape_htmltag($langs->trans("None")).'" alt="'.dol_escape_htmltag($langs->trans("None")).'" href="'.$_SERVER["PHP_SELF"].'?id='.$object->id.'&action=delrights&&token='.newToken().'&entity='.$entity.'&module=allmodules&confirm=yes">'.$langs->trans("None")."</a>";
+		print '<a class="reposition commonlink" title="'.dol_escape_htmltag($langs->trans("None")).'" alt="'.dol_escape_htmltag($langs->trans("None")).'" href="'.$_SERVER["PHP_SELF"].'?id='.$object->id.'&action=delrights&&token='.newToken().'&entity='.$entity.'&module=allmodules&confirm=yes">'.$langs->trans("None")."</a>";
 		print '</td>';
 	} else {
 		print '<td></td>';
 	}
 	print '<td class="center" width="24"></td>';
+	//print '<td>'.$langs->trans("Permissions").'</td>';
+
 	print '<td class="right nowrap" colspan="2">';
 	print '<a class="showallperms" title="'.dol_escape_htmltag($langs->trans("ShowAllPerms")).'" alt="'.dol_escape_htmltag($langs->trans("ShowAllPerms")).'" href="#">'.img_picto('', 'folder-open', 'class="paddingright"').'<span class="hideonsmartphone">'.$langs->trans("ExpandAll").'</span></a>';
 	print ' | ';
@@ -305,7 +304,7 @@
 	$sql .= " WHERE r.libelle NOT LIKE 'tou%'"; // On ignore droits "tous"
 	$sql .= " AND r.entity = ".((int) $entity);
 	if (!getDolGlobalString('MAIN_USE_ADVANCED_PERMS')) {
-		$sql .= " AND r.perms NOT LIKE '%_advance'"; // Hide advanced perms if option is not enabled
+		$sql .= " AND r.perms NOT LIKE '%_advance'"; // Hide advanced perms if option is disable
 	}
 	$sql .= " ORDER BY r.family_position, r.module_position, r.module, r.id";
 
@@ -408,12 +407,10 @@
 				if (in_array($obj->id, $permsgroupbyentity[$entity])) {
 					// Own permission by group
 					if ($permissiontoedit) {
-						print '<td class="center nowrap">';
-						print '<a class="reposition" href="'.$_SERVER["PHP_SELF"].'?id='.$object->id.'&action=delrights&token='.newToken().'&entity='.$entity.'&rights='.$obj->id.'&confirm=yes&updatedmodulename='.$obj->module.'">';
+						print '<td class="center nowrap"><a class="reposition" href="'.$_SERVER["PHP_SELF"].'?id='.$object->id.'&action=delrights&token='.newToken().'&entity='.$entity.'&rights='.$obj->id.'&confirm=yes">';
 						//print img_edit_remove($langs->trans("Remove"));
 						print img_picto($langs->trans("Remove"), 'switch_on');
-						print '</a>';
-						print '</td>';
+						print '</a></td>';
 					}
 					print '<td class="center nowrap">';
 					print img_picto($langs->trans("Active"), 'tick');
@@ -421,20 +418,17 @@
 				} else {
 					// Do not own permission
 					if ($permissiontoedit) {
-						print '<td class="center nowrap">';
-						print '<a class="reposition addexpandedmodulesinparamlist" href="'.$_SERVER["PHP_SELF"].'?id='.$object->id.'&action=addrights&token='.newToken().'&entity='.$entity.'&rights='.$obj->id.'&confirm=yes&updatedmodulename='.$obj->module.'">';
+						print '<td class="center nowrap"><a class="reposition" href="'.$_SERVER["PHP_SELF"].'?id='.$object->id.'&action=addrights&token='.newToken().'&entity='.$entity.'&rights='.$obj->id.'&confirm=yes">';
 						//print img_edit_add($langs->trans("Add"));
 						print img_picto($langs->trans("Add"), 'switch_off');
-						print '</a>';
-						print '</td>';
+						print '</a></td>';
 					}
 					print '<td></td>';
 				}
 			} else {
 				// Do not own permission
 				if ($permissiontoedit) {
-					print '<td class="center nowrap">';
-					print '<a class="reposition addexpandedmodulesinparamlist" href="'.$_SERVER["PHP_SELF"].'?id='.$object->id.'&action=addrights&token='.newToken().'&entity='.$entity.'&rights='.$obj->id.'&confirm=yes&updatedmodulename='.$obj->module.'">';
+					print '<td class="center nowrap"><a class="reposition" href="'.$_SERVER["PHP_SELF"].'?id='.$object->id.'&action=addrights&entity='.$entity.'&rights='.$obj->id.'&confirm=yes&token='.newToken().'">';
 					//print img_edit_add($langs->trans("Add"));
 					print img_picto($langs->trans("Add"), 'switch_off');
 					print '</a></td>';
@@ -444,7 +438,7 @@
 				print '<td></td>';
 			}
 
-			// Description of permission (1 column)
+			// Description of permission (2 columns)
 			print '<td>';
 			print $permlabel;
 			$idtouse = $obj->id;
@@ -468,8 +462,8 @@
 			if ($user->admin) {
 				print '<td class="right">';
 				$htmltext = $langs->trans("ID").': '.$obj->id;
-				$htmltext .= '<br>'.$langs->trans("Permission").': user->hasRight(\''.dol_escape_htmltag($obj->module).'\', \''.dol_escape_htmltag($obj->perms).'\''.($obj->subperms ? ', \''.dol_escape_htmltag($obj->subperms).'\'' : '').')';
-				print $form->textwithpicto('', $htmltext, 1, 'help', 'inline-block marginrightonly');
+				$htmltext .= '<br>'.$langs->trans("Permission").': user->hasRight(\''.$obj->module.'\', \''.$obj->perms.'\''.($obj->subperms ? ', \''.$obj->subperms.'\'' : '').')';
+				print $form->textwithpicto('', $htmltext, 1, 'help', 'marginrightonly');
 				//print '<span class="opacitymedium">'.$obj->id.'</span>';
 				print '</td>';
 			} else {
@@ -490,15 +484,15 @@
 		moduletohide = $(this).data("hide-perms");
 		j = $(this).data("j");
 		if ($("#idforbreakperms_"+moduletohide).val() == 1) {
-			console.log("idforbreakperms_"+moduletohide+" has value hidden=1, so we show all lines");
+			console.log("idforbreakperms_"+moduletohide+" has value hidden=1");
 			$(".trtohide_"+moduletohide).show();
 			$(".permtoshow_"+moduletohide).hide();
 			$(".permtohide_"+moduletohide).show();
 			$(".folderperms_"+moduletohide).hide();
 			$(".folderopenperms_"+moduletohide).show();
 			$("#idforbreakperms_"+moduletohide).val("0");
-		} else if (! $(this).hasClass("tdforbreakpermsifnotempty")) {
-			console.log("idforbreakperms_"+moduletohide+" has value hidden=0, so we hide all lines");
+		} else {
+			console.log("idforbreakperms_"+moduletohide+" has value hidden=0");
 			$(".trtohide_"+moduletohide).hide();
 			$(".folderopenperms_"+moduletohide).hide();
 			$(".folderperms_"+moduletohide).show();
@@ -525,7 +519,6 @@
 			document.cookie = "DOLUSER_PERMS_HIDE_GRP=; expires=Thu, 01-Jan-70 00:00:01 GMT; path=/ ";
 		}
 	});';
-	print "\n";
 
 	// Button expand / collapse all
 	print '$(".showallperms").on("click", function(){
@@ -561,6 +554,7 @@
 		cursor: pointer;
 	}';
 	print '</style>';
+	print '</div>';
 
 	$parameters = array();
 	$reshook = $hookmanager->executeHooks('insertExtraFooter', $parameters, $object, $action); // Note that $action and $object may have been modified by some hooks

########## user/list.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/user/list.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/user/list.php	2025-06-27 11:43:58.062983000 +0000
@@ -305,6 +305,7 @@
 	$uploaddir = $conf->user->dir_output;
 
 	global $error;
+	include DOL_DOCUMENT_ROOT.'/core/actions_massactions.inc.php';
 
 	// Disable or Enable records
 	if (!$error && ($massaction == 'disable' || $massaction == 'reactivate') && $permissiontoadd) {
@@ -315,7 +316,7 @@
 		$nbok = 0;
 		foreach ($toselect as $toselectid) {
 			if ($toselectid == $user->id) {
-				setEventMessages($langs->trans($massaction == 'disable' ? 'CantDisableYourself' : 'CanEnableYourself'), null, 'errors');
+				setEventMessages($langs->trans($massaction == 0 ? 'CantDisableYourself' : 'CanEnableYourself'), null, 'errors');
 				$error++;
 				break;
 			}
@@ -323,7 +324,7 @@
 			$result = $objecttmp->fetch($toselectid);
 			if ($result > 0) {
 				if ($objecttmp->admin) {
-					setEventMessages($langs->trans($massaction == 'disable' ? 'CantDisableAnAdminUserWithMassActions' : 'CantEnableAnAdminUserWithMassActions', $objecttmp->login), null, 'errors');
+					setEventMessages($langs->trans($massaction == 0 ? 'CantDisableAnAdminUserWithMassActions' : 'CantEnableAnAdminUserWithMassActions', $objecttmp->login), null, 'errors');
 					$error++;
 					break;
 				}
@@ -359,12 +360,7 @@
 		} else {
 			$db->rollback();
 		}
-
-		$massaction = '';
 	}
-
-	// Generic mass actions
-	include DOL_DOCUMENT_ROOT.'/core/actions_massactions.inc.php';
 }
 
 

########## user/passwordforgotten.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/user/passwordforgotten.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/user/passwordforgotten.php	2025-06-27 11:43:58.065345000 +0000
@@ -190,16 +190,11 @@
 
 $dol_url_root = DOL_URL_ROOT;
 
-$appli = constant('DOL_APPLICATION_TITLE');
-$applicustom = getDolGlobalString('MAIN_APPLICATION_TITLE');
-if ($applicustom) {
-	$appli = (preg_match('/^\+/', $applicustom) ? $appli : '').$applicustom;
-} else {
-	$appli .= " ".DOL_VERSION;
-}
-
 // Title
-$title = $appli;	// $title is used in .tpl file
+$title = 'Dolibarr '.DOL_VERSION;
+if (getDolGlobalString('MAIN_APPLICATION_TITLE')) {
+	$title = getDolGlobalString('MAIN_APPLICATION_TITLE');
+}
 
 // Select templates dir
 $template_dir = '';

########## user/perms.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/user/perms.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/user/perms.php	2025-06-27 11:43:58.067233000 +0000
@@ -332,7 +332,6 @@
 print '</div>';
 print '<br>';
 
-
 if ($user->admin) {
 	print info_admin($langs->trans("WarningOnlyPermissionOfActivatedModules"));
 }
@@ -348,6 +347,9 @@
 	setEventMessages($hookmanager->error, $hookmanager->errors, 'errors');
 }
 
+//$listofexpandedmodules = array();
+
+
 print "\n";
 print '<div class="div-table-responsive-no-min">';
 print '<table class="noborder centpercent">';
@@ -364,6 +366,7 @@
 	print '<td></td>';
 }
 print '<td></td>';
+//print '<td></td>';
 print '<td class="right nowrap" colspan="2">';
 print '<a class="showallperms" title="'.dol_escape_htmltag($langs->trans("ShowAllPerms")).'" alt="'.dol_escape_htmltag($langs->trans("ShowAllPerms")).'" href="#">'.img_picto('', 'folder-open', 'class="paddingright"').'<span class="hideonsmartphone">'.$langs->trans("ExpandAll").'</span></a>';
 print ' | ';
@@ -629,7 +632,7 @@
 				// Do not own permission
 				if ($caneditperms) {
 					print '<td class="center nowrap">';
-					print '<a class="reposition addexpandedmodulesinparamlist" href="'.$_SERVER["PHP_SELF"].'?id='.$object->id.'&action=addrights&token='.newToken().'&entity='.$entity.'&rights='.$obj->id.'&confirm=yes&updatedmodulename='.$obj->module.'">';
+					print '<a class="reposition addexpandedmodulesinparamlist" href="'.$_SERVER["PHP_SELF"].'?id='.$object->id.'&action=addrights&entity='.$entity.'&rights='.$obj->id.'&confirm=yes&token='.newToken().'&updatedmodulename='.$obj->module.'">';
 					//print img_edit_add($langs->trans("Add"));
 					print img_picto($langs->trans("Add"), 'switch_off');
 					print '</a>';
@@ -647,7 +650,7 @@
 			print '<!-- do not own permission -->';
 			if ($caneditperms) {
 				print '<td class="center nowrap">';
-				print '<a class="reposition addexpandedmodulesinparamlist" href="'.$_SERVER["PHP_SELF"].'?id='.$object->id.'&action=addrights&token='.newToken().'&entity='.$entity.'&rights='.$obj->id.'&confirm=yes&updatedmodulename='.$obj->module.'">';
+				print '<a class="reposition addexpandedmodulesinparamlist" href="'.$_SERVER["PHP_SELF"].'?id='.$object->id.'&action=addrights&entity='.$entity.'&rights='.$obj->id.'&confirm=yes&token='.newToken().'&updatedmodulename='.$obj->module.'">';
 				//print img_edit_add($langs->trans("Add"));
 				print img_picto($langs->trans("Add"), 'switch_off');
 				print '</a>';

########## variants/class/ProductCombination.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/variants/class/ProductCombination.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/variants/class/ProductCombination.class.php	2025-06-27 11:43:59.934774000 +0000
@@ -4,7 +4,6 @@
  * Copyright (C) 2022   	Open-Dsi				<support@open-dsi.fr>
  * Copyright (C) 2024-2025	MDW						<mdeweerd@users.noreply.github.com>
  * Copyright (C) 2024-2025  Frédéric France         <frederic.france@free.fr>
- * Copyright (C) 2025       William Mead            <william@m34d.com>
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
@@ -468,36 +467,34 @@
 	/**
 	 * Deletes all product combinations of a parent product
 	 *
-	 * @param User		$user 				Object user
-	 * @param int 		$fk_product_parent 	Rowid of parent product
-	 * @return int 							Return integer <0 if KO, >0 if OK
+	 * @param User		$user Object user
+	 * @param int 		$fk_product_parent Rowid of parent product
+	 * @return int Return integer <0 KO >0 OK
 	 */
 	public function deleteByFkProductParent($user, $fk_product_parent)
 	{
-		$arrayofparent = $this->fetchAllByFkProductParent($fk_product_parent);
-
-		if (!is_array($arrayofparent)) { // No combinations found, return success
-			return 1;
-		}
-
 		$this->db->begin();
 
-		foreach ($arrayofparent as $prodcomb) {
-			$prodstatic = new Product($this->db);
+		$arrayofparent = $this->fetchAllByFkProductParent($fk_product_parent);
 
-			$res = $prodstatic->fetch($prodcomb->fk_product_child);
+		if (is_array($arrayofparent)) {
+			foreach ($arrayofparent as $prodcomb) {
+				$prodstatic = new Product($this->db);
 
-			if ($res > 0) {
-				$res = $prodcomb->delete($user);
-			}
+				$res = $prodstatic->fetch($prodcomb->fk_product_child);
 
-			if ($res > 0 && !$prodstatic->isObjectUsed($prodstatic->id)) {
-				$res = $prodstatic->delete($user);
-			}
+				if ($res > 0) {
+					$res = $prodcomb->delete($user);
+				}
 
-			if ($res < 0) {
-				$this->db->rollback();
-				return -1;
+				if ($res > 0 && !$prodstatic->isObjectUsed($prodstatic->id)) {
+					$res = $prodstatic->delete($user);
+				}
+
+				if ($res < 0) {
+					$this->db->rollback();
+					return -1;
+				}
 			}
 		}
 

########## waf.inc.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/waf.inc.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/waf.inc.php	2025-06-27 11:43:57.339048000 +0000
@@ -92,9 +92,9 @@
 }
 
 /**
- * Security: WAF layer for SQL Injection and XSS Injection (scripts) protection (Filters on GET, POST, SERVER['PHP_SELF']).
- * Warning: Such a protection seems enough for SERVER['PHP_SELF'] but can't be enough for GET and POST. It is not reliable as it will always be possible
- * to bypass this. Good protection can only be guaranteed by escaping data during output.
+ * Security: WAF layer for SQL Injection and XSS Injection (scripts) protection (Filters on GET, POST, PHP_SELF).
+ * Warning: Such a protection can't be enough. It is not reliable as it will always be possible to bypass this. Good protection can
+ * only be guaranteed by escaping data during output.
  *
  * @param		string		$val		Brute value found into $_GET, $_POST or PHP_SELF
  * @param		int<0, 3>	$type		0=POST, 1=GET, 2=PHP_SELF, 3=GET without sql reserved keywords (the less tolerant test)
@@ -235,7 +235,7 @@
 		}
 	}
 	if ($type == 2) {
-		$inj += preg_match('/[:;"\'<>\?\(\){}\$%#]/', $val); // PHP_SELF is a file system (or url path without parameters). It can contains spaces.
+		$inj += preg_match('/[:;"\'<>\?\(\){}\$%]/', $val); // PHP_SELF is a file system (or url path without parameters). It can contains spaces.
 	}
 
 	return $inj;
@@ -264,7 +264,7 @@
 			} else {
 				http_response_code(403);
 
-				// Get remote IP: PS: We do not use getUserRemoteIP(), function is not yet loaded and we need a value that can't be spoofed
+				// Get remote IP: PS: We do not use getRemoteIP(), function is not yet loaded and we need a value that can't be spoofed
 				$ip = (empty($_SERVER['REMOTE_ADDR']) ? 'unknown' : $_SERVER['REMOTE_ADDR']);
 
 				if ($stopcode) {

########## webservices/server_user.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/webservices/server_user.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/webservices/server_user.php	2025-06-27 11:44:00.048952000 +0000
@@ -561,7 +561,7 @@
 					$sql = "SELECT rowid";
 					$sql .= " FROM ".MAIN_DB_PREFIX."c_country";
 					$sql .= " WHERE active = 1";
-					$sql .= " AND code = '".$db->escape($thirdparty->country_code)."'";
+					$sql .= " AND code='".$db->escape($thirdparty->country_code)."'";
 
 					$resql = $db->query($sql);
 					if ($resql) {
@@ -575,12 +575,13 @@
 					$thirdparty->fax = $thirdpartywithuser['fax'];
 					$thirdparty->email = $thirdpartywithuser['email'];
 					$thirdparty->url = $thirdpartywithuser['url'];
-					$thirdparty->idprof1 = $thirdpartywithuser['profid1'];
-					$thirdparty->idprof2 = $thirdpartywithuser['profid2'];
-					$thirdparty->idprof3 = $thirdpartywithuser['profid3'];
-					$thirdparty->idprof4 = $thirdpartywithuser['profid4'];
-					$thirdparty->idprof5 = $thirdpartywithuser['profid5'];
-					$thirdparty->idprof6 = $thirdpartywithuser['profid6'];
+					$thirdparty->ape = $thirdpartywithuser['ape'];
+					$thirdparty->idprof1 = $thirdpartywithuser['prof1'];
+					$thirdparty->idprof2 = $thirdpartywithuser['prof2'];
+					$thirdparty->idprof3 = $thirdpartywithuser['prof3'];
+					$thirdparty->idprof4 = $thirdpartywithuser['prof4'];
+					$thirdparty->idprof5 = $thirdpartywithuser['prof5'];
+					$thirdparty->idprof6 = $thirdpartywithuser['prof6'];
 
 					$thirdparty->client = (int) $thirdpartywithuser['client'];
 					$thirdparty->fournisseur = (int) $thirdpartywithuser['fournisseur'];

########## website/index.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/website/index.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/website/index.php	2025-06-27 11:44:00.003022000 +0000
@@ -834,7 +834,6 @@
 		}
 
 		if (!$error) {
-			// Download URL to grab
 			$tmp = getURLContent($urltograb, 'GET', '', 1, array(), array('http', 'https'), 0);
 
 			// Test charset of result and convert it into UTF-8 if not in this encoding charset
@@ -923,7 +922,7 @@
 				}
 				if (preg_match('/<html\s+lang="([^"]+)"/ims', $tmp['content'], $regtmp)) {
 					$tmplang = explode('-', $regtmp[1]);
-					$objectpage->lang = $tmplang[0].(empty($tmplang[1]) ? '' : '_'.strtoupper($tmplang[1]));
+					$objectpage->lang = $tmplang[0].($tmplang[1] ? '_'.strtoupper($tmplang[1]) : '');
 				}
 
 				$tmp['content'] = preg_replace('/\s*<meta name="generator"[^"]+content="([^"]+)"\s*\/?>/ims', '', $tmp['content']);
@@ -1082,7 +1081,7 @@
 						//dolChmod($file);
 
 						//	$filename = 'image/'.$object->ref.'/'.$objectpage->pageurl.(preg_match('/^\//', $linkwithoutdomain)?'':'/').$linkwithoutdomain;
-						$pagecsscontent .= "\n".'/* Content of file '.$urltograbbis.' */'."\n";
+						$pagecsscontent .= '/* Content of file '.$urltograbbis.' */'."\n";
 
 						getAllImages($object, $objectpage, $urltograbbis, $tmpgeturl['content'], $action, 1, $grabimages, $grabimagesinto);
 
@@ -4733,8 +4732,6 @@
 		print '<hr class="tablecheckboxcreatemanually'.$hiddenmanuallyafterload.'">';
 	}
 
-
-
 	print '<table class="border tableforfield nobackground centpercent tablecheckboxcreatemanually'.$hiddenmanuallyafterload.'">';
 
 	if ($action != 'createcontainer') {
@@ -5187,8 +5184,6 @@
 	print '</table>';
 
 	if ($action == 'createcontainer') {
-		$langs->load("website");
-
 		print '<div class="center tablecheckboxcreatemanually'.$hiddenmanuallyafterload.'">';
 
 		print '<input type="submit" class="button small" name="addcontainer" value="'.$langs->trans("Create").'">';
@@ -5196,17 +5191,14 @@
 
 		print '</div>';
 
+
 		print '<br>';
 
 		if (!empty($conf->use_javascript_ajax)) {
 			print '<input type="radio" name="radiocreatefrom" id="checkboxcreatefromfetching" value="checkboxcreatefromfetching"'.(GETPOST('radiocreatefrom') == 'checkboxcreatefromfetching' ? ' checked' : '').'> ';
 		}
-		print '<label for="checkboxcreatefromfetching"><span class="opacitymediumxx">'.$langs->trans("CreateByFetchingExternalPage").'</span> <span class="small opacitymedium">('.$langs->trans("ForAdvancedWebmastersOnly").')</small></label><br>';
+		print '<label for="checkboxcreatefromfetching"><span class="opacitymediumxx">'.$langs->trans("CreateByFetchingExternalPage").'</span></label><br>';
 		print '<hr class="tablecheckboxcreatefromfetching'.$hiddenfromfetchingafterload.'">';
-
-		print info_admin($langs->trans("OnlyEditionOfSourceForGrabbedContentFuture"), 0, 0, 'warning tablecheckboxcreatefromfetching'.$hiddenfromfetchingafterload);
-		print '<br>';
-
 		print '<table class="tableforfield centpercent tablecheckboxcreatefromfetching'.$hiddenfromfetchingafterload.'">';
 		print '<tr><td class="titlefield tdtop">';
 		print $langs->trans("URL");
@@ -5226,6 +5218,10 @@
 		print '<input class="button small" style="margin-top: 5px" type="submit" name="fetchexternalurl" value="'.dol_escape_htmltag($langs->trans("FetchAndCreate")).'">';
 		print '<input class="button button-cancel small" type="submit" name="preview" value="'.$langs->trans("Cancel").'">';
 
+		print '<br><br>';
+
+		print info_admin($langs->trans("OnlyEditionOfSourceForGrabbedContentFuture"), 0, 0, 'warning');
+
 		print '</td></tr>';
 		print '</table>';
 	}
@@ -5292,6 +5288,9 @@
 			});
 			</script>';
 	}
+	//print '</div>';
+
+	//print dol_get_fiche_end();
 
 	print '</div>';
 

########## workstation/class/api_workstations.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/workstation/class/api_workstations.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/workstation/class/api_workstations.class.php	2025-06-27 11:44:00.017861000 +0000
@@ -117,7 +117,7 @@
 
 		$obj_ret = array();
 
-		$socid = DolibarrApiAccess::$user->socid ?: '';
+		$socid = DolibarrApiAccess::$user->socid ? DolibarrApiAccess::$user->socid : '';
 
 		$sql = "SELECT t.rowid, t.ref";
 		$sql .= " FROM ".$this->db->prefix()."workstation_workstation as t";

########## zapier/class/api_zapier.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/zapier/class/api_zapier.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/zapier/class/api_zapier.class.php	2025-06-27 11:44:00.107639000 +0000
@@ -155,7 +155,7 @@
 
 		$obj_ret = array();
 
-		$socid = DolibarrApiAccess::$user->socid ?: 0;
+		$socid = DolibarrApiAccess::$user->socid ? DolibarrApiAccess::$user->socid : 0;
 
 		// Set to 1 if there is a field socid in table of object
 		$restrictonsocid = 0;
